"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libwidg2' }"

"{ NameSpace: Smalltalk }"

LibraryDefinition subclass:#stx_libwidg2
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!stx_libwidg2 class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Package Documentation

    This library contains additional gui components (widgets). 
    These are less often used and can (in theory) be left out of simple end-user
    applications.
"
! !

!stx_libwidg2 class methodsFor:'description'!

additionalClassNamesAndAttributes
    ^ #(
        "/ <className> or (<className> attributes...)
        'LicenceBox'
    )

    "Created: / 21-08-2006 / 19:52:03 / cg"
!

excludedFromPreRequisites
    "list all packages which should be ignored in the automatic
     preRequisites scan. See #preRequisites for more."

    ^ #(
        #'stx:clients/Demos'    "CodingExamples_GUI::GUIDemoNoteBook - referenced by TabItem class>>test "
        #'stx:goodies'    "IdentityDictionaryWithDefault - referenced by GridBagLayoutInfo>>initialize "
        #'stx:goodies/postscript'    "PSGraphicsContext - referenced by ImageEditView>>printWithMagnification: "
        #'stx:libtool'    "FileBrowser - referenced by HierarchicalFileList::Directory>>icon "
        #'stx:libtool2'    "ImageEditor - referenced by ImageEditView class>>classResources "
        #'stx:libwidg3'    "ClockView - referenced by TabItem class>>test "
        #'stx:goodies/refactoryBrowser/parser'    "RBParser - referenced by DoWhatIMeanSupport class>>findNodeForInterval:in: "
        #'stx:libcomp'    "Parser - referenced by DoWhatIMeanSupport class>>codeCompletionForMessage:inClass:codeView: "
        #'stx:libhtml'    "HTMLDocumentView - referenced by LicenceBox>>initialize "
    )
!

mandatoryPreRequisites
    "list all required mandatory packages.
     Packages are mandatory, if they contain superclasses of the package's classes
     or classes which are extended by this package.
     This list can be maintained manually or (better) generated and
     updated by scanning the superclass hierarchies
     (the browser has a menu function for that)
     However, often too much is found, and you may want to explicitely
     exclude individual packages in the #excludedFromPreRequisites method."

    ^ #(
        #'stx:libbasic'    "Notification - superclass of ProgressNotification "
        #'stx:libbasic2'    "List - superclass of HierarchicalList "
        #'stx:libview'    "TopView - superclass of ExtendedComboBox::MenuWrapper "
        #'stx:libview2'    "ApplicationModel - superclass of PrintingDialog "
        #'stx:libwidg'    "ListView - superclass of FilenameEditField "
    )
!

referencedPreRequisites
    "list all packages containing classes referenced by the packages's members.
     This list can be maintained manually or (better) generated and
     updated by looking for global variable accesses
     (the browser has a menu function for that)
     However, often too much is found, and you may want to explicitely
     exclude individual packages in the #excludedFromPreRequisites method."

    ^ #(
        #'stx:libui'    "DividerSpec - referenced by Separator>>specClass "
    )
! !

!stx_libwidg2 class methodsFor:'description - compilation'!

additionalBaseAddressDefinition_bc_dot_mak
    "this is an optional definition, which (if present) may speed up the dll-loading a little
     on win32 systems."

    ^ '
# see stdHeader_bc for LIBWIDG2_BASE
LIB_BASE=$(LIBWIDG2_BASE)
'
!

stcWarningOptions
    ^ '-warnNonStandard -warnUnused'
! !

!stx_libwidg2 class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
        "<className> or (<className> attributes...) in load order"
        AssistantApplication
        CharacterSetView
        CheckBox
        ComboBoxButton
        ComboView
        DSVColumnView
        DSVLabelView
        DataSetColumn
        DataSetLabel
        DataSetView
        DoWhatIMeanSupport
        EnterBoxWithList
        ExtendedComboBox
        FilenameEditField
        FilenameEnterBox
        FilenameWidgetWithHistory
        GridBagConstraints
        GridBagLayoutInfo
        GridBagLayoutView
        HierarchicalDropTargetController
        HierarchicalItem
        HierarchicalList
        HierarchyNode
        ImageView
        (KeyboardView autoload)
        LabelledEnterField
        LinkButton
        LinkButtonController
        ListEntry
        ListModelView
        (MenuButton autoload)
        MenuPanel
        MultipleItemSelectionWidget
        NoteBookView
        PrintAbortDialog
        PrintingDialog
        ProgressIndicator
        ProgressNotification
        SelectionInHierarchy
        SelectionInTree
        SelectionInTreeView
        Separator
        Slider
        SteppingSlider
        (StrokeView autoload)
        SubCanvas
        SyncedMultiColumnTextView
        TabItem
        TabSpecRuler
        TabWidget
        TabulatorSpecification
        TerminalView
        TextBox
        TreeItem
        UpDownButton
        ViewScroller
        #'stx_libwidg2'
        ColorMenu
        ComboBoxView
        ComboListView
        FileSelectionItem
        FileSelectionTree
        FilenameWidgetWithoutHistory
        FontMenu
        HierarchicalFileList
        HierarchicalItemWithLabel
        HorizontalSlider
        HorizontalSteppingSlider
        ImageEditView
        ModelListEntry
        MultiColListEntry
        SelectionInListModelView
        (TabControl autoload)
        TabView
        ThreeColumnTextView
        TreeItemWithImage
        TriggerBox
        TwoColumnTextView
        VT100TerminalView
        FilenameComboBoxView
        HierarchicalItemWithLabelAndIcon
        HierarchicalListView
        LabelAndIcon
        HierarchicalItemWithLabelAndIconAndValue
        LabelAndTwoIcons
        (ColoredListEntry autoload)
        (ComboBrowseView autoload)
        (ComboUpDownView autoload)
        (GraphColumn autoload)
        (GraphColumnView autoload)
        (GraphColumnView2D autoload)
        (GraphColumnView2DSpec autoload)
        (GraphColumnView3D autoload)
        (GraphColumnView3DSpec autoload)
        (GraphColumnViewSpec autoload)
        (HorizontalScale autoload)
        (ImageSelectionBox autoload)
        (ListEditor autoload)
        (MotionButton autoload)
        (NoteBookFrameView autoload)
        (ParagraphSpecification autoload)
        (RoundButton autoload)
        (Ruler autoload)
        (Scale autoload)
        (SelectionInHierarchyView autoload)
        (TextRuler autoload)
        (VT52TerminalView autoload)
        (VerticalRuler autoload)
    )
!

extensionMethodNames
    "lists the extension methods which are to be included in the project.
     Entries are 2-element array literals, consisting of class-name and selector."

    ^ #(
    )
! !

!stx_libwidg2 class methodsFor:'description - project information'!

applicationIconFileName
    "Return the name (without suffix) of an icon-file (the app's icon); will be included in the rc-resource file"

    ^ nil
    "/ ^ self applicationName
!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Additional Widgets'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2012\nCopyright eXept Software AG 1998-2012'

    "Modified: / 18-07-2012 / 19:12:17 / cg"
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_libwidg2 class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libwidg2/stx_libwidg2.st,v 1.51 2015-01-31 12:58:40 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libwidg2/stx_libwidg2.st,v 1.51 2015-01-31 12:58:40 cg Exp $'
! !

